
QGIS Application - Bug report #325

Anti-virus crashed QGIS

2006-10-03 06:22 AM - watry-coaps-fsu-edu -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10384

Description

My Anti-Virus Program is flagging QGIS for a virus whenever it

encounters the file "\\grass\\bin\

.out.mpeg.exe.  It considers this

to be a hidden executable extension.  It seems to be happening

when I enable labels and then zoom into an area.

Following this, QGIS crashes.

The Anti-virus program is AVG

History

#1 - 2006-10-15 08:46 AM - Martin Dobias

Shouldn't you report this to the company producing the antivirus? I have no idea what we can do to resolve this problem.

Following this, QGIS crashes.

What does this mean? QGIS crashes when you start it or when?

#2 - 2006-10-18 12:33 AM - Gavin Macaulay -

\\grass\\bin\

.out.mpeg.exe is a Grass file, and has little to do with qgis (except that the grass plugin in qgis may use it via grass). More information on how qgis crashes

would be helpful.

#3 - 2006-10-21 08:01 AM - Gary Sherman

Try disabling the anti-virus program and see if QGIS still crashes

#4 - 2006-11-06 02:05 AM - anonymous -

1) It's a Microsoft Windows design flaw. GRASS is oriented to Unix like systems, where program names like "r.out.mpeg", "readme.txt" are normal. On

Windows You can not have program named "readme.txt", so it's fixed by adding additional .exe at end of every GRASS executable file. Solution was to

whitelist GRASS directory in your antivirus software. You can search for thread about this issue in GRASS developer list.

2025-04-27 1/2



2) It's bug in QGIS. Antivirus software block's access to "infected" GRASS executable file, but, most likely, QGIS still tries to use it (I don't have Windows

at hand to test it).  Bug should be somewhere in code, that looks for available GRASS modules.

#5 - 2006-11-10 03:39 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to invalid

I am convinced that QGIS crash was not caused by antivirus program.

The module r.out.mpeg is never called by GRASS plugin 

and GRASS modules are stand alone programs so if they crash

it cannot crash QGIS.

I am going to change the ticket to invalid because that crash 

was caused by something else which is not described in this report.

Radim

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
